--- nfs.orig	2005-09-07 16:40:30.000000000 +0900
+++ nfs	2007-01-05 19:20:40.000000000 +0900
@@ -47,6 +47,11 @@
 # See how we were called.
 case "$1" in
   start)
+	if [ -f /usr/local/sbin/nfsmemtune ]; then
+		. /usr/local/sbin/nfsmemtune
+		qmemtune -tune
+	fi
+
 	# Start daemons.
 	[ -x /usr/sbin/rpc.svcgssd ] && /sbin/service rpcsvcgssd start
 
@@ -92,6 +97,7 @@
 	# Let rpc.idmapd know that rpc.mountd just started
 	[ -x /usr/sbin/rpc.idmapd ] && /sbin/service rpcidmapd condstart
 
+	[ -n "$QMEMTUNE" ] && qmemtune -restore
 	;;
   stop)
 	# Stop daemons.
